LuxRender Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001651LuxRenderCorepublic2017-01-14 19:372017-01-14 19:37
Reporterluya 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusnewResolutionopen 
PlatformLinuxOSFedoraOS Version25
Product Version 
Target VersionFixed in Version 
Summary0001651: Backtrace when starting luxrender 1.6
DescriptionStarting luxrender 1.6 on Fedora 25 will cause a backtrace as reported on Red hat Bugzilla: https://bugzilla.redhat.com/show_bug.cgi?id=1412089 [^]
Here is an extract:

$ luxrender
*** Error in `luxrender': realloc(): invalid pointer: 0x00007f0852b140c0 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x791fb)[0x7f084c5651fb]
/lib64/libc.so.6(realloc+0x3b0)[0x7f084c572840]
/lib64/libQt5Core.so.5(_ZN9QListData12realloc_growEi+0x31)[0x7f083f380c51]
/lib64/libQt5Core.so.5(_ZN9QListData6appendEi+0x4f)[0x7f083f380cef]
/lib64/libQt5Core.so.5(+0x1b32c0)[0x7f083f4382c0]
/lib64/libQt5Core.so.5(_Z21qRegisterResourceDataiPKhS0_S0_+0x275)[0x7f083f4340d5]
/lib64/libQt5Core.so.5(+0x7ecd3)[0x7f083f303cd3]
/lib64/ld-linux-x86-64.so.2(+0x10a3a)[0x7f0854c63a3a]
/lib64/ld-linux-x86-64.so.2(+0x10b4b)[0x7f0854c63b4b]
/lib64/ld-linux-x86-64.so.2(+0xd0a)[0x7f0854c53d0a]
Steps To ReproduceSimply start Luxrender.
Additional InformationLuxrender information on Fedora: https://apps.fedoraproject.org/packages/LuxRender/overview/ [^]

Here is the list of requirement on Fedora:
BuildRequires: desktop-file-utils
BuildRequires: doxygen
BuildRequires: cmake
BuildRequires: dos2unix
BuildRequires: gcc-c++
BuildRequires: bison
BuildRequires: boost-devel
BuildRequires: embree-devel
BuildRequires: fftw-devel
BuildRequires: flex
BuildRequires: fltk-devel
BuildRequires: freeglut-devel
BuildRequires: freeimage-devel
BuildRequires: glew-devel
BuildRequires: ilmbase-devel
BuildRequires: qt-devel
BuildRequires: libpng-devel
BuildRequires: libjpeg-turbo-devel
BuildRequires: libtiff-devel
BuildRequires: OpenEXR-devel
BuildRequires: OpenImageIO-devel
BuildRequires: python3-devel
BuildRequires: gtk3-devel
BuildRequires: blender-rpm-macros
BuildRequires: opencl-headers
BuildRequires: ocl-icd-devel
TagsNo tags attached.
Mercurial Changeset #
Requires Documentation UpdateNo
Requires Exporter UpdateLuxBlend, LuxBlend25
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2017-01-14 19:37 luya New Issue


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker